#!/usr/bin/env ruby
# 第2問
# 次のプログラムは、九九の表を出力させるものですが
# 間違えているのでおかしな動きになります。
# これを ~/Ruby/debug-j2432-2.rb という名前で作成し、
# 間違っている部分を修正してください。

puts " |     1   2   3   4   5   6   7   8   9"
puts "---+----------------------------------------------"
gyou = 1
while gyou <= 9
  retsu = 1
  printf("%2d | ", gyou)
  while retsu <= 9
    printf("%3d ", retsu * gyou)
    retsu += 1
  end
  gyou += 1
  puts
end
